curl -X POST https://api.vouchmark.com/v1/widget/embed/sessions/wses_.../submit \
-H "Content-Type: application/json" \
-d '{
"token": "elt_..."
}'
{
"success": true,
"data": {
"sessionId": "wses_...",
"widgetId": "wgt_aBcD...",
"status": "submitted",
"currentModuleId": null,
"answers": {
"business_profile": { "legalName": "Acme Trading Ltd", "registrationNumber": "RC123456" }
},
"attachments": {},
"referenceId": "ref_..."
}
}
Widget Embed (Runtime)
Submit embed session
Submit a completed widget session for processing.
POST
/
v1
/
widget
/
embed
/
sessions
/
{sessionId}
/
submit
curl -X POST https://api.vouchmark.com/v1/widget/embed/sessions/wses_.../submit \
-H "Content-Type: application/json" \
-d '{
"token": "elt_..."
}'
{
"success": true,
"data": {
"sessionId": "wses_...",
"widgetId": "wgt_aBcD...",
"status": "submitted",
"currentModuleId": null,
"answers": {
"business_profile": { "legalName": "Acme Trading Ltd", "registrationNumber": "RC123456" }
},
"attachments": {},
"referenceId": "ref_..."
}
}
This is an embed runtime endpoint. It is called by the embedded Vouchmark widget in the applicant’s browser, not by your backend. It uses the widget’s
token and does not take a Bearer token.submitted and the assigned referenceId.
Path parameters
string
required
The session ID (starts with
wses_).Body
string
required
The widget’s embed link token (
embedLinkToken, starts with elt_).curl -X POST https://api.vouchmark.com/v1/widget/embed/sessions/wses_.../submit \
-H "Content-Type: application/json" \
-d '{
"token": "elt_..."
}'
{
"success": true,
"data": {
"sessionId": "wses_...",
"widgetId": "wgt_aBcD...",
"status": "submitted",
"currentModuleId": null,
"answers": {
"business_profile": { "legalName": "Acme Trading Ltd", "registrationNumber": "RC123456" }
},
"attachments": {},
"referenceId": "ref_..."
}
}
